Bug 461434

Summary: Fallback to using gdb.minimal if gdb is not found
Product: [Applications] drkonqi Reporter: Timothée Ravier <tim>
Component: generalAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED DOWNSTREAM    
Severity: wishlist CC: fella, nate, rdieter
Priority: NOR    
Version: 5.25.5   
Target Milestone: ---   
Platform: Fedora RPMs   
OS: Linux   
Latest Commit: Version Fixed In:

Description Timothée Ravier 2022-11-04 19:14:47 UTC
SUMMARY

On Fedora Kinoite, we don't want to install the full gdb package into the image by default but we can install the gdb.minimal as it has less dependencies.

So this is a request to have DrKonqi try using gdb.minimal if it does not find a "full" gdb.

This might be of interest to other systems that don't want to ship a full gdb package will all python bindings, etc.

I've manually verified that this "works" on Fedora Kinoite if I symlink gdb -> gdb.minimal.

DrKonqi might not be directly calling for gdb so this might need to be done in other place.

STEPS TO REPRODUCE
1. Have an application crash on Fedora Kinoite with the gdb.minimal package installed

OBSERVED RESULT
No crash info generated by DrKonqi as it only looks for the gdb binary

EXPECTED RESULT
Crash info found.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma:  Fedora Kinoite 37
KDE Plasma Version:  5.25.5
KDE Frameworks Version: 5.98
Qt Version: 5.15.6
Comment 1 Bug Janitor Service 2022-11-04 19:33:33 UTC
Thank you for the bug report!

Please note that Plasma 5.25.5 is not supported for much longer by KDE; supported versions are 5.24, and 5.26 or newer.

If at all possible please upgrade to a supported version and verify that the bug is still happening there.

If you're unsure how to do this, contact your distributor about it.
Comment 2 Tobias Fella 2022-11-04 22:04:23 UTC
Setting to "confirmed" just so it doesn't get closed
Comment 3 Tobias Fella 2022-11-04 22:05:41 UTC
(In reply to Tobias Fella from comment #2)
> Setting to "confirmed" just so it doesn't get closed

(i might have been wrong about this getting closed automatically but  ¯\_(ツ)_/¯ )
Comment 4 Nate Graham 2022-11-07 16:47:35 UTC
The bug janitor doesn't yet auto-close unconfirmed bugs after a period of time, but it probably will someday, and using CONFIRMED is good practice anyway,
Comment 5 Timothée Ravier 2022-11-14 19:08:40 UTC
Looks like we're calling gdb/coredumpctl from the commands in https://invent.kde.org/plasma/drkonqi/-/blob/master/src/data/debuggers/internal/gdbrc so I'll have to figure out either how to add a second copy of that for gdb-minimal or keep the workaround at another level if that does not work for the `coredumpctl gdb` command.
Comment 6 Timothée Ravier 2022-11-22 09:37:15 UTC
I'm going to close this one as this is very Fedora specific and I don't see an easy fix. I'll make a workaround in Fedora Kinoite instead.